<?php
/*
  Plugin Name: Dricub Driving School Core
  Plugin URI: http://smartdatasoft.com/
  Description: Helping for the SmartDataSoft  theme.
  Author: SmartDataSoft Team
  Version: 1.0
  Author URI: http://smartdatasoft.com/
 */

/**
 *
 */

if (!defined('DRICUB_DRIVING_SCHOOL_THEME_URI')) {
    define('DRICUB_DRIVING_SCHOOL_THEME_URI', get_template_directory_uri());
}
if (!defined('ULTIMA_NAME'))
    define('ULTIMA_NAME', 'driving_school');

//add_action('wp_enqueue_scripts', 'driving_school_core_enqueue', 1001);
//remove_filter('the_content', 'wpautop');

function dricub_driving_school_core_enqueue() {
    wp_enqueue_style('dricub-driving-school-forms',plugin_dir_url( __FILE__ ) . '/js/forms.js',1001);
   
}


add_action('admin_enqueue_scripts', 'dricub_driving_school_core_admin_enqueue');

function dricub_driving_school_core_admin_enqueue($hook) {
    wp_enqueue_style('iconfont-style', get_template_directory_uri() . '/fonts/style.css', '', null);
//laod custom post type js
    if ($hook != 'edit.php' && $hook != 'post.php' && $hook != 'post-new.php')
        return;
     wp_enqueue_script( 'custom-js',  plugin_dir_url( __FILE__ ) . '/js/admin.js' );
}

/* ============================================================
 * Visual Composer shorrtcode config
 * ============================================================ */

define('PLUGIN_DIR', dirname(__FILE__) . '/');

$classesDir = array(
    PLUGIN_DIR . 'shortcode/',
    PLUGIN_DIR . 'vc_element/'
);

function __autoloadShortCode() {
    global $classesDir;
    foreach ($classesDir as $directory) {

        foreach (glob($directory . '*.php') as $filename) {
            if (file_exists($filename)) {
                include_once ($filename);
            }
        }
    }
}

function __autoloadVcMap() {
    __autoloadShortCode();
}

add_action('vc_before_init', '__autoloadVcMap');


$classesPostTypeDir = PLUGIN_DIR . 'post_type/';

function __autoloadPostType($directory) {

    foreach (glob($directory . '*.php') as $filename) {
        if (file_exists($filename)) {
            include_once ($filename);
        }
    }
}

__autoloadPostType($classesPostTypeDir);


/*
 * widgets auto load
 */


$classesWidgetsDir = PLUGIN_DIR . 'widgets/';

function __autoloadWidgets($directory) {
    foreach (glob($directory . '*.php') as $filename) {
        if (file_exists($filename)) {
            include_once ($filename);
        }
    }
}

__autoloadWidgets($classesWidgetsDir);


add_action('dricub_driving_school_after_footer', 'dricub_driving_school_after_footer_function');

function dricub_driving_school_after_footer_function() {
    
    $dricub_driving_school_option = dricub_driving_school_options();
    $gmap_latitude = (isset($dricub_driving_school_option['dricub_driving_school_gmap_latitude']) && !empty($dricub_driving_school_option['dricub_driving_school_gmap_latitude'])) ? $dricub_driving_school_option['dricub_driving_school_gmap_latitude'] : '';
    $gmap_longitude = (isset($dricub_driving_school_option['dricub_driving_school_gmap_longitude']) && !empty($dricub_driving_school_option['dricub_driving_school_gmap_longitude'])) ? $dricub_driving_school_option['dricub_driving_school_gmap_longitude'] : '';
    $gmap_zoom = (isset($dricub_driving_school_option['dricub_driving_school_gmap_zoom']) && !empty($dricub_driving_school_option['dricub_dricub_driving_school_gmap_zoom'])) ? $dricub_driving_school_option['dricub_driving_school_gmap_zoom'] : '14';

    //footer_map
    $mapkey = '';
    if (isset($dricub_driving_school_option['dricub_driving_school_gmap_api_key']) && !empty($dricub_driving_school_option['dricub_driving_school_gmap_api_key'])) {
        $mapkey .= '&key=' . $dricub_driving_school_option['dricub_driving_school_gmap_api_key'];
    }
    ?>

    <!-- map -->
    <div id="googleMap" class="google-map"></div>

   
    <!-- /map -->  
    <!-- Google map -->
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false<?php echo $mapkey; ?>"></script>
    <script type="text/javascript">

        // When the window has finished loading create our google map below
        google.maps.event.addDomListener(window, 'load', init);

        function init() {
            var mapOptions = {
                zoom: <?php echo esc_html($gmap_zoom); ?>,
                center: new google.maps.LatLng(<?php echo esc_html($gmap_latitude); ?>, <?php echo esc_html($gmap_longitude); ?>),
                styles: [
                    {
                        "featureType": "water",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#e9e9e9"
                            }, {
                                "lightness": 17
                            }]
                    }, {
                        "featureType": "landscape",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#f5f5f5"
                            }, {
                                "lightness": 20
                            }]
                    }, {
                        "featureType": "road.highway",
                        "elementType": "geometry.fill",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 17
                            }]
                    }, {
                        "featureType": "road.highway",
                        "elementType": "geometry.stroke",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 29
                            }, {
                                "weight": 0.2
                            }]
                    }, {
                        "featureType": "road.arterial",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 18
                            }]
                    }, {
                        "featureType": "road.local",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#ffffff"
                            }, {
                                "lightness": 16
                            }]
                    }, {
                        "featureType": "poi",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#f5f5f5"
                            }, {
                                "lightness": 21
                            }]
                    }, {
                        "featureType": "poi.park",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#dedede"
                            }, {
                                "lightness": 21
                            }]
                    }, {
                        "elementType": "labels.text.stroke",
                        "stylers": [{
                                "visibility": "on"
                            }, {
                                "color": "#ffffff"
                            }, {
                                "lightness": 16
                            }]
                    }, {
                        "elementType": "labels.text.fill",
                        "stylers": [{
                                "saturation": 36
                            }, {
                                "color": "#333333"
                            }, {
                                "lightness": 40
                            }]
                    }, {
                        "elementType": "labels.icon",
                        "stylers": [{
                                "visibility": "off"
                            }]
                    }, {
                        "featureType": "transit",
                        "elementType": "geometry",
                        "stylers": [{
                                "color": "#f2f2f2"
                            }, {
                                "lightness": 19
                            }]
                    }, {
                        "featureType": "administrative",
                        "elementType": "geometry.fill",
                        "stylers": [{
                                "color": "#fefefe"
                            }, {
                                "lightness": 20
                            }]
                    }, {
                        "featureType": "administrative",
                        "elementType": "geometry.stroke",
                        "stylers": [{
                                "color": "#fefefe"
                            }, {
                                "lightness": 17
                            }, {
                                "weight": 1.2
                            }]
                    }]
            };
            var mapElement = document.getElementById('googleMap');
            var map = new google.maps.Map(mapElement, mapOptions);
            var image = "<?php if (isset($dricub_driving_school_option['dricub_driving_school_gmap_marker']) && !empty($dricub_driving_school_option['dricub_driving_school_gmap_marker'])) echo $dricub_driving_school_option['dricub_driving_school_gmap_marker']['url']; ?>";
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(<?php echo esc_html($gmap_latitude); ?>, <?php echo esc_html($gmap_longitude); ?>),
                map: map,
                icon: image
            });
        }
    </script>

    <?php
}

/*
 * fonts auto load
 */

require_once( PLUGIN_DIR . 'fonts-loader.php');

/*
 * Gallery load
 */

require_once( PLUGIN_DIR . "/lib/sds_cpt_gallery.php" );
/*
 * sidebar load
 */
require_once( PLUGIN_DIR . "/lib/sidebar_generator.php" );

/*
 * Meta Box Configuration Post Meta Option
 */
require_once(PLUGIN_DIR . "/lib/config.meta.box.php");
