<?php

add_action('init', 'register_driving_school_gallery_postype');

function register_driving_school_gallery_postype() {

    $labels = array(
        'name' => __('Gallery', 'driving_school'),
        'singular_name' => __('Gallery', 'driving_school'),
        'add_new' => __('Add New', 'driving_school'),
        'add_new_item' => __('Add New Gallery', 'driving_school'),
        'edit_item' => __('Edit Gallery', 'driving_school'),
        'new_item' => __('New Gallery', 'driving_school'),
        'view_item' => __('View Gallery', 'driving_school'),
        'search_items' => __('Search Gallery', 'driving_school'),
        'not_found' => __('No Gallery found', 'driving_school'),
        'not_found_in_trash' => __('No Gallery found in Trash', 'driving_school'),
        'parent_item_colon' => ''
    );

    register_post_type('gallery', array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true,
        'capability_type' => 'post',
        'hierarchical' => false,
        'menu_position' => 10,
        'supports' => array('title', 'editor', 'thumbnail'),
        'rewrite' => array('slug' => __('gallery', 'driving_school'))
    ));

    $labels = array(
        'name' => _x('Gallery Categories', 'portfolio categories', 'driving_school'),
        'singular_name' => _x('Gallery Category', 'portfolio category', 'driving_school'),
        'search_items' => __('Search Gallery Categories', 'driving_school'),
        'all_items' => __('All Gallery Categories', 'driving_school'),
        'parent_item' => __('Parent Gallery Category', 'driving_school'),
        'parent_item_colon' => __('Parent Gallery Category:', 'driving_school'),
        'edit_item' => __('Edit Gallery Category', 'driving_school'),
        'update_item' => __('Update Gallery Category', 'driving_school'),
        'add_new_item' => __('Add New Gallery Category', 'driving_school'),
        'new_item_name' => __('New Gallery Category Name', 'driving_school'),
        'menu_name' => __('Gallery Category', 'driving_school'),
    );

    $args = array(
        'hierarchical' => true,
        'labels' => $labels,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'rewrite' => array('slug' => 'gallery-cat'),
    );

    register_taxonomy('gallery-cat', array('gallery'), $args);
}
